import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SideBarGenericContentComponent implements OnInit {
    constructor();
    ngOnInit(): void;
    data: any;
    static ɵfac: i0.ɵɵFactoryDeclaration<SideBarGenericContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SideBarGenericContentComponent, "eagna-side-bar-generic-content", never, {}, {}, never, never, false>;
}
export declare class SideBarGenericContent<T> {
    constructor(title: string, content: T);
    title: string;
    content: T;
}
